---
layout: docs
page_title: credentials list - Command
description: >-
  The "credentials list" command lists the available credential resources within an enclosing scope or resource.
---

# credentials list

Command: `boundary credentials list`

The `credentials list` command lists credentials within an enclosing scope or resource.

## Examples

The following example lists all credentials for a credential store with the ID `csst_5GGWwRngd7`:

```shell-session
$ credentials list -credential-store-id csst_5GGWwRngd7
```

**Example output:**

<CodeBlockConfig hideClipboard>

```plaintext
Credential information:
  ID:                    credup_29IUJANN59
    Version:             1
    Type:                username_password
    Name:                tester
    Authorized Actions:
      no-op
      read
      update
      delete

  ID:                    credup_6zHHwQWvUS
    Version:             1
    Type:                username_password
    Name:                support-eng
    Authorized Actions:
      no-op
      read
      update
      delete

  ID:                    credup_J15mtU4qmy
    Version:             1
    Type:                username_password
    Name:                ssh-user
    Authorized Actions:
      no-op
      read
      update
      delete
```

</CodeBlockConfig>

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary credentials list [options] [args]
```

</CodeBlockConfig>


### Command options

- `-credential-store-id` `(string: "")` - The credential store resource that contains the credentials you want to list.
You can also specify the credential store using the **BOUNDARY_CREDENTIAL_STORE_ID** environment variable.
- `-filter` `(string: "")` - If set, Boundary filters the list operation before the results are returned.
The filter operates against each item in the list.
We recommend that you use single quotes, because the filters contain double quotes.
Refer to the [Filtering and listing resources documentation](/boundary/docs/filtering) for more details.
- `list_token` (optional) - An opaque token that is returned from the previous `list` response.
If you do not supply a value, pagination starts from the beginning.
- `page_size` (optional) - An unsigned integer that indicates the number of items that should be included on the page of search results.
If you do not provide a value, or if you provide a value of `0`, Boundary uses the default page size of 1000 items.
If you configure it, the `page_size` value overrides the default page size.
Controller administrators can also configure a `max_page_size` option that constrains the maximum page size a user can request.

@include 'cmd-option-note.mdx'